#!/usr/bin/perl

#$Header: /home2/cvsroot/LogTrend/Consolidation/ConsolidationDataBase.pm,v 1.4 2001/08/24 13:43:43 lsimonneau Exp $
##*****************************************************************************
##  ConsolidationDataBase
##  Description  : DataBase Access Methods used by Consolidation.
##
##  Project      : LogTrend 1.0.0.0 - Atrid Systemes
##  Author       : Laurent Simonneau l.simonneau@atrid.fr
##*****************************************************************************
#$Log: ConsolidationDataBase.pm,v $
#Revision 1.4  2001/08/24 13:43:43  lsimonneau
#Minor bugfixes, add docs.
#
#Revision 1.3  2001/08/23 15:48:37  lsimonneau
#Parser rewriting.
#
#Revision 1.2  2001/08/22 09:51:27  lsimonneau
#First usable version of Consolidation.
#
#Revision 1.1  2001/08/17 15:35:14  lsimonneau
#Ajout de Consolidation au CVS, parser XML OK.
#

package LogTrend::Consolidation::ConsolidationDataBase;

use strict;


##*****************************************************************************
##  RemoveDataInTimeInterval public
##  Description  : Remove data 
##
##  Parameters   : The source name,
##                 The agent name,
##                 The data name,
##                 The start date,
##                 The end date (optional).
##                 Enable ancestor. String with 'enable_ancestor' or 'disable_ancestor'. 
##                                  Default value is 'enable_ancestor'.
##*****************************************************************************
sub RemoveDataInTimeInterval {
}

##*****************************************************************************
##  AddData public
##  Description  : Add data to database
##
##  Parameters   : The source name,
##                 The agent name,
##                 The data name,
##                 A reference on a list of [value, date].
##*****************************************************************************
sub AddData {
}


##*****************************************************************************
##  GetListOfAgentTypeOnSource public
##  Description  : Return the list of agent with the specified type on a source
##
##  Parameters   : The source's number,
##                 The agent's type
##
##  Return a list of [source, agent]
##*****************************************************************************
sub GetListOfAgentTypeOnSource {
    
}

1;
